Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000357KdenliveFile Loadingpublic2008-11-15 08:142008-12-29 15:37
Reportermorhippo 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.0 
Target Version0.7.1Fixed in Version0.7.1 
Summary0000357: Kdenlive fails to open MOD files produced by Panasonic digicams
DescriptionPanasonic digicams produce MPEG1 digital videos in a format called MOD (MPEG file with ending MOD). Please note that this is not the Amiga digitial audio format, but an identically named video format.


These video files can be played flawlessly if manually selected in kdenlive. However kdenlive 0.7 does not offer to open these files in its open video dioalog, i.e. the file dialog filter has to be updated.
Additional InformationInformation about the file format can be found here:
http://en.wikipedia.org/wiki/MOD_(video_format) [^]

An example video is uploaded with this report.
TagsNo tags attached.
Build/Install Method
Attached Files? file icon mov005.mod [^] (1,503,232 bytes) 2008-11-15 08:14

- Relationships

-  Notes
(0001229)
cinephiliac (updater)
2008-11-17 08:02

Confirmed. A quick search seems to confirm that .MOD is just mpeg with a different extensions (although .TOD seems a bit more complex). Video plays and imports fine on my r#2707, but doesn't show in the add clip file browser dialogue.
(0001231)
administrator (administrator)
2008-11-17 11:14

I just committed a fix for this. In the Kdenlive "First run" dialog, you have an option to install extra mime types. This should now add *.mod as mpeg files.

To get the "First run" dialog, you must remove the kdenliverc file from
$HOME/.kde/share/config (it will reset all your kdenlive settings)
or you can manually edit that file and remove the line: version=0.7
(0001237)
madsdyd (administrator)
2008-11-17 22:49

Fixed in Kdenlive svn. rev. 2709. Tested - closing.

- Issue History
Date Modified Username Field Change
2008-11-15 08:14 morhippo New Issue
2008-11-15 08:14 morhippo File Added: mov005.mod
2008-11-17 08:02 cinephiliac Note Added: 0001229
2008-11-17 08:02 cinephiliac Status new => acknowledged
2008-11-17 11:14 administrator Note Added: 0001231
2008-11-17 22:49 madsdyd Note Added: 0001237
2008-11-17 22:49 madsdyd Status acknowledged => resolved
2008-11-17 22:49 madsdyd Resolution open => fixed
2008-11-17 22:49 madsdyd Fixed in Version => Recent git
2008-11-17 22:49 madsdyd Target Version => 0.7.1
2008-12-29 15:36 madsdyd Fixed in Version Recent git => 0.7.1
2008-12-29 15:37 madsdyd Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker